import java.awt.*;

/**
 * Draws a circle.
 */
public class Circle extends Shape {
	int radius;
	XYPair center;
	
	/** Constructor: */
	public Circle(){
		super();
		radius=0;
	}
	/** Constructor:
	 * @param r radius
	 * @param x X coordinate.
	 * @param y Y coordinate.
	 */
	public Circle(int r, int x, int y){
		super();
		radius=r;
		pos.add((center=new XYPair(x, y)));
	}
	/** Constructor:
	 * @param r radius
	 * @param x X coordinate.
	 * @param y Y coordinate.
	 * @param c Color.
	 */
	public Circle(int r, int x, int y, Color c){
		super(c);
		radius=r;
		pos.add((center=new XYPair(x, y)));
	}
	
	/** Paints this circle.
	 * @param g Graphics object to paint on.
	 */
	public void paint(Graphics g){
		if(radius==0) return;
		Color c=g.getColor();
		g.setColor(color);
		g.drawOval(center.x-radius, center.y-radius, radius*2, radius*2);
		g.setColor(c);
	}
	
	/**
	 * Tests whether the given coordinates are within the selector.
	 * @param x X coordinate.
	 * @param y Y coordinate.
	 * @return true if x, y is within the selector, false otherwise.
	 */
	public boolean hitTest(int x, int y){
		return Math.pow(center.x-x, 2)+Math.pow(center.y-y, 2)<=radius*radius;
	}
}
