import java.awt.*;

/**
 * Class for selector point.
 */
public class SelectorPoint extends Circle {
	boolean selected=false;
	
	/** Constructor:
	 * @param x X coordinate.
	 * @param y Y coordinate.
	 * @param c Color.
	 */
	public SelectorPoint(int r, int x, int y, Color c){
		super(r, x, y, c);
	}
	
	/** Paints this circle.
	 * @param g Graphics object to paint on.
	 */
	public void paint(Graphics g){
		Color c=g.getColor();
		// draw the shadow.
		g.setColor(new Color(0, 0, 0, 128));
		g.drawOval(center.x-radius+1, center.y-radius+1, radius*2, radius*2);
		// draw the selector point.
		g.setColor(color);
		g.drawOval(center.x-radius, center.y-radius, radius*2, radius*2);
		
		if(selected){
			// this point is selected so draw the corner rectangles to show it.
			int size=2;
			g.fillRect(center.x-radius-size, center.y-radius-size, size, size);
			g.fillRect(center.x+radius+1, center.y-radius-size, size, size);
			g.fillRect(center.x-radius-size, center.y+radius+1, size, size);
			g.fillRect(center.x+radius+1, center.y+radius+1, size, size);
		}
		g.setColor(c);
	}
}
